# EMRI_DET: Assessing DETectability for Extreme Mass Ratio Inspirals using a multi-layer perceptron (MLP).

Install with `python setup.py install`. 

The simple back-end of this package allows the user to create an MLP of a given layer/neuron configuration and desired activation function and train it. The model (and associated loss curve/normalisation data) will be kept in a `models` directory that will appear in the *parent* directory of the user's script.

Media/data will be created in directories that begin with `_` by default - this is to follow the `.gitignore` rule that prevents the automatic pushing of updates to these files, which would slow commits down a lot


## TODO

- Data format will be changed to `pandas` dataframe (with columns [param1, ... param9, SNR]) for easier organisation and parsing. The data pre-processing must be changed to reflect this.
- Need to put together optimisation code - choices to be made here: uniform sampling of hyperparameters vs. Bayesian optimisation, how to include speed/comp.cost component in optimisation (i.e. we don't want a huge lumbering network!).
- Diagnostics/tests need to be implemented more accessibly. We want to be able to evaluate the RMSE against a supplied dataset, along with RMSE/mismatch as a function of parameter space.
- The general ideas behind this approach need to be written up more formally, i.e. paper pre-pre-pre-draft general overview style.